//+------------------------------------------------------------------+
//|                                                        ATRMA.mq4 |
//|                        Copyright 2012, MetaQuotes Software Corp. |
//|                                        http://www.metaquotes.net |
//+------------------------------------------------------------------+
#property copyright "Copyright 2012, MetaQuotes Software Corp."
#property link      "http://www.metaquotes.net"


#property indicator_separate_window
#property indicator_buffers 2  
#property indicator_color1 Blue
#property indicator_color2 White

  

extern int fastmaperiod  =   12;
extern int momentumperiod =  14;


//---- buffers
double ExtMapBuffer1[];
double ExtMapBuffer2[];


//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
  
   SetIndexStyle(0,DRAW_LINE);        
   SetIndexBuffer(0,ExtMapBuffer1);
   SetIndexStyle(1,DRAW_LINE);        
   SetIndexBuffer(1,ExtMapBuffer2);

   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custor indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//---- 
   
//----
   return(0);
  }


int start()
  {
   int    counted_bars=IndicatorCounted();
 
//---- check for possible errors
   if (counted_bars<0) return(-1);
//---- last counted bar will be recounted
   if (counted_bars>0) counted_bars--;
   
   int i=Bars-counted_bars; 
   while(i>=0)
     {
         ExtMapBuffer1[i]= iMomentum(NULL,0,momentumperiod,PRICE_CLOSE,i); 
         ExtMapBuffer2[i]= iMAOnArray(ExtMapBuffer1,Bars,fastmaperiod,0,MODE_EMA,i);  
            
       i--;
     }    
     return(0);
     }
     //--------------------------------------------------+